import { ADD_MOVIES, SELECT_MOVIE } from '../actions/actionCreators'

const defaultState = {
  movies: [],
  selectedMovieIndex: 0,
};

export default function movieStore(state = defaultState, action) {
  switch (action.type) {
    case ADD_MOVIES:
      return Object.assign({}, state, {
        movies: action.movies,
      })
    case SELECT_MOVIE:
      return Object.assign({}, state, {
        selectedMovieIndex: action.index,
      })
    default:
      return state
  }
}
