const defaultState = {
  userLoading: false,
};

// This actions are generated from the promise middleware

export default function userStore(state = defaultState, action) {
  switch (action.type) {
    case 'USER_LOGIN_PENDING':
      return Object.assign({}, state, {
        userLoading: true,
      })
    case 'USER_LOGIN_FULFILLED':
      return Object.assign({}, state, {
        userLoading: false,
      })
    default:
      return state;
  }
}
